Bug 1477390 - Inconsistency between contents
Inconsistency between contents
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Dan Macpherson
RHOS Documentation Team
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 20:25 EDT by Shinobu KINJO
Modified: 2018-01-07 05:32 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 23:44:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shinobu KINJO 2017-08-01 20:25:02 EDT
Description of problem:
-----------------------
In upgrade guide for Red Hat OpenStack Platform 8, Compute nodes [1], we explicitly describe < ensure zero downtime > in section 3.4.5:

******
3.4.5. Upgrading Compute Nodes

We perform the following task on each node individually to ensure zero downtime. Select a Compute node to upgrade. 

Migrate its workload. See "Migrating VMs from an Overcloud Compute Node" in the Red Hat OpenStack Platform Director Installation and Usage Guide. 
*****

In the same guide in different page [2], there is a sentence added 4 months ago, 

******
Warning
Before performing an upgrade to the latest major version, ensure the undercloud and overcloud are updated to the latest minor versions. This includes both OpenStack Platform services and the base operating system. For the process on performing a minor version update, see "Updating the Environment" in the Red Hat OpenStack Platform 7 Director Installation and Usage guide. Performing a major version upgrade without first performing a minor version update can cause failures in the upgrade process. 
******

There is a description as below in that sentence, this is linked to different content [3].

"Updating the Environment"

In that contents, there is a sentence as below. Here we explicitly describe < If required, perform a reboot manually after the update command completes >.

******
Important
The update process does not reboot any nodes in the Overcloud automatically. If required, perform a reboot manually after the update command completes. 
******

We are saying that ** zero downtime is doable **. But we are also saying that ** perform a reboot after the update command complete **.

Those kind of ambiguous description could make the customers confused, especially the customers who do want to avoid any downtime.

[1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/8/html/upgrading_red_hat_openstack_platform/chap-upgrading_the_environment#sect-Major-Upgrading_the_Overcloud-Compute

[2] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/8/html/upgrading_red_hat_openstack_platform/chap-upgrading_the_environment

[3] https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux_openstack_platform/7/html/director_installation_and_usage/sect-updating_the_overcloud#sect-Updating_the_Overcloud_Packages
Comment 6 Jose Luis Franco 2017-08-03 04:46:27 EDT
Hi Dan,

It was discussed during yesterday's DFG scrum that this bug had been assigned to DFG Upgrades, so I offered myself to take care of it. But I see you have it already narrowed down.
If there is anything I can help with, just let me know.

Jose
Comment 10 Dan Macpherson 2017-08-03 23:44:39 EDT
No prob. Thanks for reporting this issue!

Note You need to log in before you can comment on or make changes to this bug.